Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 7459)
@@ -34,5 +34,5 @@
 from waeup.sirp.interfaces import ISIRPObject, IUserAccount
 from waeup.sirp.browser.interfaces import ITheme
-from waeup.sirp.browser.theming import get_all_themes, SIRPThemeGray1
+from waeup.sirp.browser.theming import get_all_themes, SIRPThemeBase
 from waeup.sirp.students.interfaces import IStudentNavigation
 from waeup.sirp.applicants.interfaces import IApplicant
@@ -52,14 +52,16 @@
 default_primary_nav_template.__grok_name__ = 'default_primary_nav'
 
-class jsaction(grok.action):
+class action(grok.action):
 
     def __call__(self, success):
-        action = JSAction(self.label, success=success, **self.options)
+        action = SIRPAction(self.label, success=success, **self.options)
         self.actions.append(action)
         return action
 
-class JSAction(Action):
-
-    msg = '\'Are you sure?\''
+class SIRPAction(Action):
+
+    def __init__(self, label, style='', **options):
+        super(SIRPAction, self).__init__(label, **options)
+        self.style = style
 
     def render(self):
@@ -70,5 +72,27 @@
             label = zope.i18n.translate(self.label, context=self.form.request)
         return ('<input type="submit" id="%s" name="%s" value="%s"'
-                ' class="button" onclick="return confirmPost(%s)" />' %
+                ' class="btn %s"/>' %
+                (self.__name__, self.__name__, escape(label, quote=True),
+                self.style))
+
+class jsaction(grok.action):
+
+    def __call__(self, success):
+        action = JSAction(self.label, success=success, **self.options)
+        self.actions.append(action)
+        return action
+
+class JSAction(Action):
+
+    msg = '\'Are you sure?\''
+
+    def render(self):
+        if not self.available():
+            return ''
+        label = self.label
+        if isinstance(label, Message):
+            label = zope.i18n.translate(self.label, context=self.form.request)
+        return ('<input type="submit" id="%s" name="%s" value="%s"'
+                ' class="btn" onclick="return confirmPost(%s)" />' %
                 (self.__name__, self.__name__, escape(label, quote=True), self.msg)
                 )
@@ -116,5 +140,5 @@
         return self.url(site, name)
 
-    def flash(self, message, type='message'):
+    def flash(self, message, type='alert-message warning'):
         """Send a short message to the user.
         """
@@ -125,10 +149,10 @@
         return True
 
-class SIRPLayout(Layout, UtilityView):
+class SIRPLayout(UtilityView,Layout):
     """A megrok.layout.Layout with additional methods.
     """
     grok.baseclass()
 
-class SIRPForm(Form, UtilityView):
+class SIRPForm(UtilityView,Form):
     """A megrok.layout.Form with additional methods.
     """
@@ -137,17 +161,19 @@
     def setUpWidgets(self,ignore_request=False):
         super(SIRPForm,self).setUpWidgets(ignore_request)
+        # Width parameters will be overridden by Bootstrap
+        # so we have to set the css class
         if self.widgets.get('subject'):
-            self.widgets['subject'].displayWidth = 45
+            self.widgets['subject'].cssClass = 'span9'
         if self.widgets.get('body'):
             self.widgets['body'].height = 10
         if self.widgets.get('body'):
-            self.widgets['body'].width = 35
-
-class SIRPPage(Page):
+            self.widgets['body'].cssClass = 'span9'
+
+class SIRPPage(UtilityView,Page):
     """A megrok.layout page with additional methods.
     """
     grok.baseclass()
 
-class SIRPDisplayFormPage(DisplayForm, UtilityView):
+class SIRPDisplayFormPage(UtilityView,DisplayForm):
     """A megrok.layout.DisplayForm with additional methods.
     """
@@ -155,5 +181,5 @@
     template = default_waeup_display_template
 
-class SIRPEditFormPage(EditForm, UtilityView):
+class SIRPEditFormPage(UtilityView,EditForm):
     """A megrok.layout.EditForm with additional methods.
     """
@@ -163,14 +189,23 @@
     def setUpWidgets(self,ignore_request=False):
         super(SIRPEditFormPage,self).setUpWidgets(ignore_request)
+        for widget in self.widgets:
+            if widget.__class__.__name__ == 'TextWidget':
+                widget.cssClass = 'span8'
+            elif widget.__class__.__name__ == 'IntWidget':
+                widget.cssClass = 'span2'
+        #import pdb; pdb.set_trace()
         if self.widgets.get('title'):
-            self.widgets['title'].displayWidth = 80
+            self.widgets['title'].cssClass = 'span12'
         if self.widgets.get('frontpage'):
-            self.widgets['frontpage'].width = 70
+            self.widgets['frontpage'].cssClass = 'span12'
         if self.widgets.get('phone'):
-            self.widgets['phone'].displayWidth = 13
+            self.widgets['phone'].cssClass = 'span4'
         if self.widgets.get('notice'):
             self.widgets['notice'].height = 3
-
-class SIRPAddFormPage(AddForm,  UtilityView):
+        if self.widgets.get('perm_address'):
+            self.widgets['perm_address'].cssClass = 'span8'
+            self.widgets['perm_address'].height = 10
+
+class SIRPAddFormPage(UtilityView,AddForm):
     """A megrok.layout.AddForm with additional methods.
     """
@@ -184,5 +219,5 @@
 
     #: An instance of the default theme to use for the site layout
-    default_theme = SIRPThemeGray1()
+    default_theme = SIRPThemeBase()
     stafftemp = grok.PageTemplateFile('templates/staffsitelayout.pt')
     studenttemp = grok.PageTemplateFile('templates/studentsitelayout.pt')
@@ -194,4 +229,7 @@
     def getAppTitle(self):
         return getattr(grok.getSite()['configuration'], 'name', u'Sample University')
+
+    def getAppAcronym(self):
+        return getattr(grok.getSite()['configuration'], 'acronym', u'Acronym')
 
     def isAuthenticated(self):
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7459)
@@ -59,5 +59,5 @@
 from waeup.sirp.authentication import get_principal_role_manager
 from waeup.sirp.utils.helpers import get_user_account
-from waeup.sirp.browser.layout import jsaction, JSAction
+from waeup.sirp.browser.layout import jsaction, action
 
 grok.context(ISIRPObject)
@@ -215,5 +215,5 @@
         return get_user_account(self.request)
 
-    @grok.action('Send message now')
+    @action('Send message now', style='primary')
     def send(self, *args, **data):
         fullname = self.request.principal.title
@@ -244,5 +244,5 @@
                           'fullname', 'email_from', 'body')
 
-    @grok.action('Send now')
+    @action('Send now', style='primary')
     def send(self, *args, **data):
         sirp_utils = getUtility(ISIRPUtils)
@@ -378,5 +378,5 @@
     title = 'Portal Users'
 
-    @grok.action('Add user')
+    @action('Add user', style='primary')
     def addUser(self, **data):
         name = data['name']
@@ -426,5 +426,5 @@
         self.widgets['description'].height = 3
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         form = self.request.form
@@ -444,5 +444,5 @@
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context.__parent__))
@@ -461,5 +461,5 @@
         return u'Send message to %s' % self.context.title
 
-    @grok.action('Send message now')
+    @action('Send message now', style='primary')
     def send(self, *args, **data):
         try:
@@ -596,5 +596,5 @@
         return super(ConfigurationContainerManageFormPage, self).update()
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
@@ -602,5 +602,5 @@
         return
 
-    @grok.action('Add session configuration', validator=NullValidator)
+    @action('Add session configuration', validator=NullValidator, style='primary')
     def addSubunit(self, **data):
         self.redirect(self.url(self.context, '@@add'))
@@ -621,5 +621,5 @@
         return
 
-    @grok.action('Update plugins', validator=NullValidator)
+    @action('Update plugins', validator=NullValidator)
     def updatePlugins(self, **data):
         grok.getSite().updatePlugins()
@@ -638,5 +638,5 @@
     pnav = 0
 
-    @grok.action('Add Session Configuration')
+    @action('Add Session Configuration', style='primary')
     def addSessionConfiguration(self, **data):
         sessionconfiguration = createObject(u'waeup.SessionConfiguration')
@@ -650,5 +650,5 @@
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self):
         self.redirect(self.url(self.context, '@@index')+'#tab-2')
@@ -674,5 +674,5 @@
         return 'Edit academic session %s configuration' % session_string
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
@@ -681,5 +681,5 @@
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self):
         self.redirect(self.url(self.context.__parent__, '@@index')+'#tab-2')
@@ -1210,10 +1210,10 @@
         return
 
-    @grok.action('Add faculty', validator=NullValidator)
+    @action('Add faculty', validator=NullValidator)
     def addFaculty(self, **data):
         self.redirect(self.url(self.context, '@@add'))
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1232,5 +1232,5 @@
     pnav = 1
 
-    @grok.action('Add faculty')
+    @action('Add faculty', style='primary')
     def addFaculty(self, **data):
         faculty = createObject(u'waeup.Faculty')
@@ -1243,5 +1243,5 @@
         self.redirect(self.url(self.context, u'@@manage')+'#tab-1')
 
-    @grok.action('Cancel')
+    @action('Cancel')
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1315,24 +1315,24 @@
         return
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
         return
 
-    @grok.action('Add department', validator=NullValidator)
+    @action('Add department', validator=NullValidator)
     def addSubunit(self, **data):
         self.redirect(self.url(self.context, '@@add'))
         return
 
-    @grok.action('Add local role', validator=NullValidator)
+    @action('Add local role', validator=NullValidator)
     def addLocalRole(self, **data):
         return add_local_role(self, '3', **data)
 
-    @grok.action('Remove selected local roles')
+    @action('Remove selected local roles')
     def delLocalRoles(self, **data):
         return del_local_roles(self,3,**data)
@@ -1352,5 +1352,5 @@
         return self.context.longtitle()
 
-    @grok.action('Add department')
+    @action('Add department', style='primary')
     def addDepartment(self, **data):
         department = createObject(u'waeup.Department')
@@ -1364,5 +1364,5 @@
         self.redirect(self.url(self.context, u'@@manage')+'#tab-2')
 
-    @grok.action('Cancel')
+    @action('Cancel')
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1503,5 +1503,5 @@
         return get_users_with_local_roles(self.context)
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
@@ -1520,24 +1520,24 @@
         return
 
-    @grok.action('Add course', validator=NullValidator)
+    @action('Add course', validator=NullValidator)
     def addCourse(self, **data):
         self.redirect(self.url(self.context, 'addcourse'))
         return
 
-    @grok.action('Add certificate', validator=NullValidator)
+    @action('Add certificate', validator=NullValidator)
     def addCertificate(self, **data):
         self.redirect(self.url(self.context, 'addcertificate'))
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
         return
 
-    @grok.action('Add local role', validator=NullValidator)
+    @action('Add local role', validator=NullValidator)
     def addLocalRole(self, **data):
         return add_local_role(self, 4, **data)
 
-    @grok.action('Remove selected local roles')
+    @action('Remove selected local roles')
     def delLocalRoles(self, **data):
         return del_local_roles(self,4,**data)
@@ -1557,5 +1557,5 @@
         return self.context.longtitle()
 
-    @grok.action('Add course')
+    @action('Add course')
     def addCourse(self, **data):
         course = createObject(u'waeup.Course')
@@ -1579,5 +1579,5 @@
         self.redirect(self.url(self.context, u'@@manage')+'#tab-2')
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1598,5 +1598,5 @@
         return self.context.longtitle()
 
-    @grok.action('Add certificate')
+    @action('Add certificate')
     def addCertificate(self, **data):
         certificate = createObject(u'waeup.Certificate')
@@ -1621,5 +1621,5 @@
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self): #, **data):
         self.redirect(self.url(self.context))
@@ -1657,10 +1657,10 @@
         return 'Course: %s (%s)' % (self.context.title, self.context.code)
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
         return
 
-    @grok.action('Save and return')
+    @action('Save and return')
     def saveAndReturn(self, **data):
         self.applyData(self.context, **data)
@@ -1668,5 +1668,5 @@
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1731,5 +1731,5 @@
     form_fields = grok.AutoFields(ICertificate)
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
@@ -1741,10 +1741,10 @@
         return
 
-    @grok.action('Add course referrer', validator=NullValidator)
+    @action('Add course referrer', validator=NullValidator)
     def addCertificateCourse(self, **data):
         self.redirect(self.url(self.context, 'addcertificatecourse'))
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1765,9 +1765,9 @@
         return get_users_with_local_roles(self.context)
 
-    @grok.action('Add local role', validator=NullValidator)
+    @action('Add local role', validator=NullValidator)
     def addLocalRole(self, **data):
         return add_local_role(self, 3, **data)
 
-    @grok.action('Remove selected local roles')
+    @action('Remove selected local roles')
     def delLocalRoles(self, **data):
         return del_local_roles(self,3,**data)
@@ -1788,5 +1788,5 @@
         return "Certificate: %s (%s)" % (self.context.title, self.context.code)
 
-    @grok.action('Add course referrer')
+    @action('Add course referrer')
     def addCertcourse(self, **data):
         try:
@@ -1798,5 +1798,5 @@
         self.redirect(self.url(self.context, u'@@manage')+'#tab-2')
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1838,5 +1838,5 @@
         return 'Course Referrer: %s' % (self.context.__name__)
 
-    @grok.action('Save and return')
+    @action('Save and return')
     def saveAndReturn(self, **data):
         parent = self.context.__parent__
@@ -1853,5 +1853,5 @@
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 7459)
@@ -140,8 +140,8 @@
 toggleall = ResourceInclusion(waeup_sirp, 'toggleall.js')
 
-#: A resource that binds jQueryUI tabs to <div> tags with class
+#: A resource that binds Bootstrap tabs to <div> tags with class
 #: ``tabs``.
 #:
-#: If you want jQuery tabs for some <div>s in your page then you
+#: If you want Bootstrap tabs in your page then you
 #: have to perform two steps:
 #:
@@ -159,31 +159,30 @@
 #:   into the HTML page generated.
 #:
-#: * In your HTML code add some ``<div>`` tag with ``class`` set to
-#:   ``tabs``, like this:
+#: * In your HTML code add some tags with like this:
 #:
 #:    .. code-block:: html
-#:
-#:      <div id="tabs">
-#:        <ul>
-#:          <li><a href="#tab-1"><span>Tab 1 Heading</span></a></li>
-#:          <li><a href="#tab-2"><span>Tab 2 Heading</span></a></li>
-#:        </ul>
-#:        <div id="tab-1">
-#:          Content of tab 1
-#:        </div>
-#:        <div id="tab-2">
-#:          Content of tab 2
-#:        </div>
-#:      </div>
+
+#:     <ul class="tabs" data-tabs="tabs" >
+#:       <li class="active"><a href="#tab-1">Tab 1 Heading</a></li>
+#:       <li><a href="#tab-2">Tab 2 Heading</a></li>
+#:       <li><a href="#tab-3">Tab 3 Heading</a></li>
+#:     </ul>
+
+#:     <div class="tab-content">
+#:       <div id="tab-1" class="active">...</div>
+#:       <div id="tab-2">...</div>
+#:       <div id="tab-3">...</div>
+#:     </div>
 #:
 #: When the HTML is rendered, clicking into one of the tabs will make
 #: other <div>s disappear. See
 #:
-#:   http://jqueryui.com/demos/tabs/
+#:   http://twitter.github.com/bootstrap/javascript.html#tabs
 #:
 #: for details.
 #:
-tabs = ResourceInclusion(waeup_sirp, 'tabs.js',
-                         depends=[jquery, jqueryui])
+tabs = ResourceInclusion(waeup_sirp, 'bootstrap-tabs-1.4.0.js',
+                          depends=[jquery])
+
 
 #: Resource that makes datatables for jQuery UI available.
@@ -249,27 +248,17 @@
                               depends=[datatables, datatables_css])
 
-#: Register basic YUI based CSS as a resource.
-reset_fonts_grids = ResourceInclusion(
-    waeup_sirp, 'yuirfg.css')
-
-yuiapp_css = ResourceInclusion(
-    waeup_sirp, 'yuiapp.css',
-    depends=[reset_fonts_grids])
-
-#: Register basic SIRP base CSS (which is based on ``yuiapp.css`` as a
-#: resource.
+#: Register Twitter's Bootsrap css including dropdown js as a resource.
+bootstrap_min = ResourceInclusion(
+    waeup_sirp, 'bootstrap.min-1.4.0.css')
+
+dropdown = ResourceInclusion(
+    waeup_sirp, 'bootstrap-dropdown-1.4.0.js',
+    depends=[jquery])
+
+#: Register basic SIRP CSS (which is based on ``bootstrap.min-1.4.0.css`` 
+#: and ``base`` as a resource.
 waeup_base_css = ResourceInclusion(
     waeup_sirp, 'waeup-base.css',
-    depends=[yuiapp_css, base])
-
-#: The red SIRP theme registered as a resource.
-waeuptheme_red1 = ResourceInclusion(
-    waeup_sirp, 'waeuptheme-red1.css',
-    depends=[waeup_base_css])
-
-#: The gray SIRP theme registered as a resource.
-waeuptheme_gray1 = ResourceInclusion(
-    waeup_sirp, 'waeuptheme-gray1.css',
-    depends=[waeup_base_css])
+    depends=[dropdown,bootstrap_min, base])
 
 #: A basic theme based on jQuery only (crappy yet).
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/bootstrap-dropdown-1.4.0.js
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/bootstrap-dropdown-1.4.0.js	(revision 7459)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/bootstrap-dropdown-1.4.0.js	(revision 7459)
@@ -0,0 +1,55 @@
+/* ============================================================
+ * bootstrap-dropdown.js v1.4.0
+ * http://twitter.github.com/bootstrap/javascript.html#dropdown
+ * ============================================================
+ * Copyright 2011 Twitter, Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ * ============================================================ */
+
+
+!function( $ ){
+
+  "use strict"
+
+  /* DROPDOWN PLUGIN DEFINITION
+   * ========================== */
+
+  $.fn.dropdown = function ( selector ) {
+    return this.each(function () {
+      $(this).delegate(selector || d, 'click', function (e) {
+        var li = $(this).parent('li')
+          , isActive = li.hasClass('open')
+
+        clearMenus()
+        !isActive && li.toggleClass('open')
+        return false
+      })
+    })
+  }
+
+  /* APPLY TO STANDARD DROPDOWN ELEMENTS
+   * =================================== */
+
+  var d = 'a.menu, .dropdown-toggle'
+
+  function clearMenus() {
+    $(d).parent('li').removeClass('open')
+  }
+
+  $(function () {
+    $('html').bind("click", clearMenus)
+    $('body').dropdown( '[data-dropdown] a.menu, [data-dropdown] .dropdown-toggle' )
+  })
+
+}( window.jQuery || window.ender );
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/bootstrap-tabs-1.4.0.js
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/bootstrap-tabs-1.4.0.js	(revision 7459)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/bootstrap-tabs-1.4.0.js	(revision 7459)
@@ -0,0 +1,80 @@
+/* ========================================================
+ * bootstrap-tabs.js v1.4.0
+ * http://twitter.github.com/bootstrap/javascript.html#tabs
+ * ========================================================
+ * Copyright 2011 Twitter, Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ * ======================================================== */
+
+
+!function( $ ){
+
+  "use strict"
+
+  function activate ( element, container ) {
+    container
+      .find('> .active')
+      .removeClass('active')
+      .find('> .dropdown-menu > .active')
+      .removeClass('active')
+
+    element.addClass('active')
+
+    if ( element.parent('.dropdown-menu') ) {
+      element.closest('li.dropdown').addClass('active')
+    }
+  }
+
+  function tab( e ) {
+    var $this = $(this)
+      , $ul = $this.closest('ul:not(.dropdown-menu)')
+      , href = $this.attr('href')
+      , previous
+      , $href
+
+    if ( /^#\w+/.test(href) ) {
+      e.preventDefault()
+
+      if ( $this.parent('li').hasClass('active') ) {
+        return
+      }
+
+      previous = $ul.find('.active a').last()[0]
+      $href = $(href)
+
+      activate($this.parent('li'), $ul)
+      activate($href, $href.parent())
+
+      $this.trigger({
+        type: 'change'
+      , relatedTarget: previous
+      })
+    }
+  }
+
+
+ /* TABS/PILLS PLUGIN DEFINITION
+  * ============================ */
+
+  $.fn.tabs = $.fn.pills = function ( selector ) {
+    return this.each(function () {
+      $(this).delegate(selector || '.tabs li > a, .pills > li > a', 'click', tab)
+    })
+  }
+
+  $(document).ready(function () {
+    $('body').tabs('ul[data-tabs] li > a, ul[data-pills] > li > a')
+  })
+
+}( window.jQuery || window.ender );
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/theming.py	(revision 7459)
@@ -26,6 +26,5 @@
 from waeup.sirp.browser.interfaces import ITheme
 from waeup.sirp.browser.resources import (
-    waeuptheme_red1, waeuptheme_gray1, waeuptheme_empty,
-    waeup_base_css,
+    waeuptheme_empty, waeup_base_css,
     )
 
@@ -39,21 +38,21 @@
         return [waeup_base_css]
 
-class SIRPThemeRed1(grok.GlobalUtility):
-    grok.implements(ITheme)
-    grok.name('red waeup theme')
+#class SIRPThemeRed1(grok.GlobalUtility):
+#    grok.implements(ITheme)
+#    grok.name('red waeup theme')
 
-    description = u"Uli's Red Theme"
+#    description = u"Uli's Red Theme"
 
-    def getResources(self):
-        return [waeuptheme_red1]
+#    def getResources(self):
+#        return [waeuptheme_red1]
 
-class SIRPThemeGray1(grok.GlobalUtility):
-    grok.implements(ITheme)
-    grok.name('gray waeup theme')
+#class SIRPThemeGray1(grok.GlobalUtility):
+#    grok.implements(ITheme)
+#    grok.name('gray waeup theme')
 
-    description = u"Henrik's Gray Theme"
+#    description = u"Henrik's Gray Theme"
 
-    def getResources(self):
-        return [waeuptheme_gray1]
+#    def getResources(self):
+#        return [waeuptheme_gray1]
 
 class SIRPThemeEmpty(grok.GlobalUtility):
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7459)
@@ -195,8 +195,9 @@
         breadcrumbs = IBreadcrumbContainer(self.view)
         for breadcrumb in breadcrumbs:
-            yield dict(
-                title = breadcrumb.title,
-                url = self.view.url(breadcrumb.context, breadcrumb.target)
-                )
+            if breadcrumb.target:
+                yield dict(
+                    title = breadcrumb.title,
+                    url = self.view.url(breadcrumb.context, breadcrumb.target)
+                    )
 
 
@@ -264,8 +265,8 @@
         if self.url:
             if self.icon_url:
-                return u'<div class="portlet"><a href="%s"><img src="%s" /> %s </a></div>' % (
+                return u'<li><a href="%s"><img src="%s" /> %s </a></li>' % (
                     self.url, self.icon_url, self.title)
             else:
-                return u'<div class="portlet"><a href="%s">%s </a></div>' % (
+                return u'<li><a href="%s">%s </a></li>' % (
                     self.url, self.title)
         else:
@@ -290,5 +291,5 @@
             return ''
         url = self.view.url(grok.getSite(), self.link)
-        return u'<div class="portlet"><a href="%s">%s</a></div>' % (
+        return u'<li"><a href="%s">%s</a></li>' % (
                 url, self.text)
 
@@ -325,5 +326,5 @@
     def render(self):
         url = self.view.url(grok.getSite(), self.link)
-        return u'<div class="portlet"><a href="%s">%s</a></div>' % (
+        return u'<li><a href="%s">%s</a></li>' % (
                 url, self.text)
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser.py	(revision 7459)
@@ -29,5 +29,5 @@
 from waeup.sirp.browser.viewlets import (
     ManageActionButton, PrimaryNavTab)
-from waeup.sirp.browser.layout import jsaction, JSAction
+from waeup.sirp.browser.layout import jsaction, action
 from waeup.sirp.interfaces import ISIRPObject
 from waeup.sirp.hostels.vocabularies import NOT_OCCUPIED
@@ -141,5 +141,5 @@
         return
 
-    @grok.action('Add hostel', validator=NullValidator)
+    @action('Add hostel', validator=NullValidator)
     def addSubunit(self, **data):
         self.redirect(self.url(self.context, 'addhostel'))
@@ -158,5 +158,5 @@
     pnav = 5
 
-    @grok.action('Create hostel')
+    @action('Create hostel')
     def addHostel(self, **data):
         hostel = Hostel()
@@ -230,10 +230,10 @@
         return
 
-    @grok.action('Save')
+    @action('Save')
     def save(self, **data):
         msave(self, **data)
         return
 
-    @grok.action('Update all beds')
+    @action('Update all beds')
     def updateBeds(self, **data):
         removed, added, modified, modified_beds = self.context.updateBeds()
@@ -245,5 +245,5 @@
         return
 
-    @grok.action('Switch reservation of selected beds')
+    @action('Switch reservation of selected beds')
     def switchReservations(self, **data):
         form = self.request.form
@@ -273,5 +273,5 @@
         return
 
-    @grok.action('Release selected beds')
+    @action('Release selected beds')
     def releaseBeds(self, **data):
         form = self.request.form
@@ -316,5 +316,5 @@
             self.context.__parent__.hostel_name, co[1], co[2], co[3])
 
-    @grok.action('Save')
+    @action('Save')
     def save(self, **data):
         msave(self, **data)
Index: /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt	(revision 7459)
@@ -1,9 +1,9 @@
 <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-<div class="form-status" tal:define="status view/status" tal:condition="status"> Form Status:
+<div class="alert-message error" tal:define="status view/status" tal:condition="status"> Form Status:
   <span i18n:translate="" tal:content="view/status"> Form status summary
   </span>
 </div>
-<form action="." tal:attributes="action request/URL" method="POST" class="edit-form" enctype="multipart/form-data">
-  <table class="zebra">
+<form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
+  <table>
     <thead>
       <tr>
@@ -25,5 +25,5 @@
     </tbody>
   </table>
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/actions" tal:omit-tag="">
       <input tal:replace="structure action/render"/>
